[问题]7.04中自己编译vim7.0,总是找不到tgetent()

Vim、Emacs配置和使用
回复
头像
magicpang
帖子: 10
注册时间: 2007-04-17 13:23
送出感谢: 0
接收感谢: 0

[问题]7.04中自己编译vim7.0,总是找不到tgetent()

#1

帖子 magicpang » 2007-05-29 13:32

昨天刚刚装了7.04,结果发现vim是tiny版本的,很多的东东都没有了
所以无奈要自己弄一个
结果

代码: 全选

./configure --with-features=huge \
                  --enable-cscope \
                  --enable-multibyte \
                  --enable-xim \
                  --enable-fontset \
                  --enable-gui=gnome2
就总是提示错误:should确定一个terminal的lib 之类的
结果我加上 --with-tlib=ncurses 还是提示找不到 tgetent()

哪位大侠指点一下啊 (我宿舍没有网络,所以,没有办法apt-get)
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-05-29 13:49

sudo apt-get install vim-full
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
magicpang
帖子: 10
注册时间: 2007-04-17 13:23
送出感谢: 0
接收感谢: 0

#3

帖子 magicpang » 2007-05-29 17:27

2楼的
我寝室没有网络,没有办法apt-get
我搜索了论坛
好像说有一个gtk的lib没有装,我回去试试
using
帖子: 12
注册时间: 2007-08-21 22:44
送出感谢: 0
接收感谢: 0

Re: [问题]7.04中自己编译vim7.0,总是找不到tgetent()

#4

帖子 using » 2010-09-03 19:38

安装ncurses-dev
sudo apt-get install ncurses-dev

2010.09.03 编译vim7.3 在ubuntu10.04 上测试可用。
回复

回到 “Vim和Emacs”